Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.par
Class ProcessArchive

    java.lang.Object
      org.jbpm.jpdl.par.ProcessArchive

All Implemented Interfaces:
  java.io.Serializable, ProblemListener

    public class ProcessArchive

extends java.lang.Object
implements ProblemListener

See Also:
  Serialized Form

Constructor Summary
`ProcessArchive(java.util.zip.ZipInputStream zipInputStream)`

Method Summary
`void` | `addProblem(Problem problem)`
`java.util.Map` | `getEntries()`
`byte[]` | `getEntry(java.lang.String entryName)`
`java.io.InputStream` | `getEntryInputStream(java.lang.String entryName)`
`java.util.List` | `getProblems()`
`ProcessDefinition` | `parseProcessDefinition()`
`byte[]` | `removeEntry(java.lang.String entryName)`
`java.io.InputStream` | `removeEntryInputStream(java.lang.String entryName)`
`void` | `resetProblems()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessArchive

    public ProcessArchive(java.util.zip.ZipInputStream zipInputStream)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### parseProcessDefinition

    public ProcessDefinition parseProcessDefinition()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEntries

    public java.util.Map getEntries()

### getEntry

    public byte[] getEntry(java.lang.String entryName)

### getEntryInputStream

    public java.io.InputStream getEntryInputStream(java.lang.String entryName)

### removeEntry

    public byte[] removeEntry(java.lang.String entryName)

### removeEntryInputStream

    public java.io.InputStream removeEntryInputStream(java.lang.String entryName)

### addProblem

    public void addProblem(Problem problem)

  Specified by:
    `addProblem` in interface `ProblemListener`

### getProblems

    public java.util.List getProblems()

### resetProblems

    public void resetProblems()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD